.section--home {
  padding-top: 0;
  z-index: 2;

  .section__inner {
    padding: 0 get-vw(30px);
  }
}

body:not(.loaded) {
  .home__top {
    &__title {
      transform: translateY(#{get-vw(50px)});
      opacity: 0;
    }
    &__text__h1 {
      transform: translateY(#{get-vw(50px)});
      opacity: 0;
    }
    &__scroll {
      transform: scale(0.6);
      opacity: 0;
    }
  }
}

.home {
  &__top,
  &__bot {
    position: relative;

    &__title {
      position: relative;
      display: inline-block;
      padding: 15px 0;
      margin-bottom: 15px;
      color: rgba(0, 0, 0, 0.5);
      text-transform: uppercase;
      letter-spacing: 4px;

      &::after {
        content: "";
        position: absolute;
        bottom: 0;
        display: block;
        margin: auto;
      }
    }
  }

  &__top {
    &__title,
    &__text__h1,
    &__scroll {
      transition: opacity 0.65s, transform 0.8s $cubic;
    }

    &__title {
      transition-delay: 0.1s;

      &::after {
        right: get-vw(-40px);
        left: 0;
        height: 1px;
        background: rgba(0, 0, 0, 0.5);
      }
    }
    &__text {
      position: relative;
      width: get-vw(720px);

      @include bellow($android-landscape) {
        width: 100%;
      }

      &__h1 {
        //color: $white;
        color: $black;
        font-size: get-vw(72px);
        letter-spacing: 0.02em;
        text-transform: capitalize;
        transition-delay: 0.2s;

        @include bellow($android-landscape) {
          font-size: get-vw(32px, 375);
        }
      }
    }
    &__scroll {
      position: absolute;
      bottom: 20px;
      right: -7px;
      display: block;
      width: get-vw(133px);
      height: get-vw(133px);
      transition-delay: 0.5s;

      @include bellow($android-landscape) {
        bottom: get-vw(-20px, 375);
        right: 0;
        width: get-vw(64px, 375);
        height: get-vw(64px, 375);
      }

      &::before,
      &::after {
        @include absCenter;
        content: "";
        background-repeat: no-repeat;
        background-position: 50% 50%;
        background-size: contain;
      }
      &::before {
        background-image: url("../images/scroll-text.svg");
        animation: rotate 12s linear infinite;
      }
      &::after {
        width: get-vw(26px);
        height: get-vw(45px);
        background-image: url("../images/scroll-arrow.svg");
        animation: yTrans 5s linear 2s infinite;

        @include bellow($android-landscape) {
          width: get-vw(12px, 375);
          height: get-vw(20px, 375);
        }
      }
    }
  }

  &__bot {
    &::before,
    &::after {
      content: "";
      position: absolute;
      z-index: 0;
      display: block;
      margin: auto;

    }
    &::before {
      right: 0;
      bottom: 2px;
      left: 0;
      width: 80%;
      height: 10px;
      box-shadow: $blockShadow;
    }
    &::after {
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      box-shadow: 0 0 50px rgba(0, 0, 0, 0.2);
    }
    &[data-anim="false"] {
      .home__bot__title {
        opacity: 0;
        transform: translateY(#{get-vw(50px)});

        &::after {
          transform: scaleX(0);
        }
      }
      .home__bot__text__left,
      .home__bot__text__right {
        opacity: 0;
        transform: translateY(#{get-vw(50px)});
      }
      .home__bot__text__right {
        &::after {
          transform: scaleX(0);
        }
      }
      .home__bg--bot img {
        transform: scale(1.4);
      }
    }
    &__title,
    &__text__left,
    &__text__right {
      transition: opacity 0.65s, transform 0.8s $cubic;
    }

    &__title {
      transition-delay: 0.1s;

      @include bellow($android-landscape) {
        padding-top: 0;
      }

      &::after {
        left: 0;
        width: 50%;
        height: 2px;
        //background: $white;
        background: $black;
        transition: transform 0.5s $cubic 0.5s;
        transform-origin: 0 50%;
      }
    }
    &__text {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      //color: $white;
      color: $black;

      @include bellow($android-landscape) {
        flex-direction: column;
      }

      &__left {
        width: get-vw(574px);
        font: #{get-vw(36px)} / 1.3 $titleFont;
        letter-spacing: 0.02em;
        transition-delay: 0.2s;

        @include bellow($desktop-sm) {
          width: get-vw(380px, 1024);
          font-size: get-vw(18px, 1024);
        }
        @include bellow($android-landscape) {
          width: 100%;
          margin-bottom: get-vw(20px, 375);
          font-size: get-vw(16px, 375);
        }
      }
      &__right {
        position: relative;
        width: get-vw(600px);
        margin-left: get-vw(170px);
        font-size: get-vw(24px);
        transition-delay: 0.3s;

        @include bellow($desktop-sm) {
          width: get-vw(400px, 1024);
          margin-left: get-vw(60px, 1024);
          font-size: get-vw(15px, 1024);
        }
        @include bellow($android-landscape) {
          width: 100%;
          margin-left: 0;
          font-size: get-vw(14px, 375);
        }

        &::after {
          content: "";
          position: absolute;
          bottom: get-vw(-35px);
          left: 0;
          display: block;
          width: get-vw(16px);
          height: 2px;
          margin: auto;
          background: $white;
          transition: transform 0.5s $cubic 0.75s;
          transform-origin: 0 50%;

          @include bellow($android-landscape) {
            width: get-vw(10px, 375);
          }
        }
      }
    }
  }

  &__bg {
    position: relative;
    overflow: hidden;
    z-index: 0;

    &--top {
      padding-bottom: 42.2%;

      @include bellow($android-landscape) {
        padding-bottom: 120%;
      }
    }

    &--bot {
      @include absFull;
    }

    img {
      @include absFull;
      object-fit: cover;
      transition: transform 2.4s ease-in-out;
    }
  }

  &__info {
    max-width: 1500px;
    z-index: 1;

    @include between($desktop-sm, $desktop-mac) {
      max-width: 80%;
    }
    @include between($mobile, $desktop-sm) {
      max-width: 92%;
    }
    @include bellow($mobile) {
      max-width: 100%;
    }

    &--top {
      position: absolute;
      right: 0;
      bottom: 0;
      left: 0;
      display: block;
      margin: auto;
      padding: 0 15px get-vw(120px);

      @include bellow($mobile) {
        padding: 0 get-vw(40px, 820) get-vw(60px, 820);
      }
      @include bellow($android-landscape) {
        padding: 0 get-vw(25px, 375) get-vw(30px, 375);
      }
    }
    &--bot {
      position: relative;
      display: block;
      margin: 0 auto;
      padding: get-vw(95px) 15px get-vw(100px);

      @include bellow($mobile) {
        padding: get-vw(35px, 820) get-vw(40px, 820) get-vw(50px, 820);
      }
      @include bellow($android-landscape) {
        padding: get-vw(30px, 375) get-vw(25px, 375);
      }
    }

  }
}
